CREATE TABLE dbo.ErrorlogForceInclude
( 
    Forcekeyword varchar(255) NOT NULL
)
go
IF OBJECT_ID('dbo.ErrorlogForceInclude') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.ErrorlogForceInclude >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.ErrorlogForceInclude >>>'
go
--
-- TABLE INSERT STATEMENTS
--
INSERT INTO dbo.ErrorlogForceInclude ( Forcekeyword ) 
		 VALUES ( 'root' ) 
go
INSERT INTO dbo.ErrorlogForceInclude ( Forcekeyword ) 
		 VALUES ( 'admin' ) 
go
INSERT INTO dbo.ErrorlogForceInclude ( Forcekeyword ) 
		 VALUES ( 'sa' ) 
go

CREATE TABLE dbo.ErrorlogScanExclude
(
    Excludekeyword varchar(255) NOT NULL
)
go
IF OBJECT_ID('dbo.ErrorlogScanExclude') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.ErrorlogScanExclude >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.ErrorlogScanExclude >>>'
go
--
-- TABLE INSERT STATEMENTS
--
INSERT INTO dbo.ErrorlogScanExclude ( Excludekeyword ) 
		 VALUES ( '1073759' ) 
go
INSERT INTO dbo.ErrorlogScanExclude ( Excludekeyword ) 
		 VALUES ( '15457' ) 
go
INSERT INTO dbo.ErrorlogScanExclude ( Excludekeyword ) 
		 VALUES ( '50000' ) 
go
INSERT INTO dbo.ErrorlogScanExclude ( Excludekeyword ) 
		 VALUES ( '60000' ) 
go
INSERT INTO dbo.ErrorlogScanExclude ( Excludekeyword ) 
		 VALUES ( 'Login failed for user' ) 
go

CREATE TABLE dbo.ErrorlogScanKeyword
(
    keyword varchar(255) NOT NULL
)
go
--
-- TABLE INSERT STATEMENTS
--
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'cannot obtain a LOCK' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'Error:' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'failed' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'Victim Resource' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'Expire' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'stack' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'CImageHelper' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'is full' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'cannot find' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'hung' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'WARNING' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'Unable' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'Could not allocate new page' ) 
go
INSERT INTO dbo.ErrorlogScanKeyword ( keyword ) 
		 VALUES ( 'attempting to unlock unowned' ) 
go

IF OBJECT_ID('dbo.ErrorlogScanKeyword') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.ErrorlogScanKeyword >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.ErrorlogScanKeyword >>>'
go

CREATE TABLE dbo.ErrorsP1
(
    Error_Message varchar(255) NOT NULL,
    Error_Date    char(22)     NOT NULL,
    SPID          varchar(15)  NOT NULL
)
go
IF OBJECT_ID('dbo.ErrorsP1') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.ErrorsP1 >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.ErrorsP1 >>>'
go

CREATE TABLE dbo.ErrorsP2
(
    Error_Message varchar(255) NOT NULL,
    Error_Date    char(22)     NOT NULL,
    SPID          varchar(15)  NOT NULL
)
go
IF OBJECT_ID('dbo.ErrorsP2') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.ErrorsP2 >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.ErrorsP2 >>>'
go

CREATE TABLE dbo.Email_Addresses
(
    Email_Address  varchar(60) NOT NULL,
    alert_function char(30)    NULL
)
go
IF OBJECT_ID('dbo.Email_Addresses') IS NOT NULL
    PRINT '<<< CREATED TABLE dbo.Email_Addresses >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE dbo.Email_Addresses >>>'
go

--
-- TABLE INSERT STATEMENTS
--
INSERT INTO dbo.Email_Addresses ( Email_Address, alert_function ) 
		 VALUES ( 'someone@yourcompany.com', 'errorlog' ) 
go